Questions tagged [backport]

Backports are programs and Packages packaged for a previous version of an Ubuntu Operating System which exist in a newer version of Ubuntu

Filter by
Sorted by
Tagged with
0 votes
0 answers
17 views

Load Backport Kernel while installing Ubuntu?

I want to install Ubuntu Mini on my new NAS but the ethernet is to new for the old kernel in Ubuntu mini 20.04. I need kernel 5.6+. Can start ubuntu mini with the new kernel before installation or ...
user avatar
  • 61
0 votes
2 answers
90 views

studio-controls 2.1.4 vs 2.1.64

Does anyone have a copy of the studio-controls 2.1.4 .deb for 20.04 from the backports-ppa? The minute I ran updates and studio-controls 2.1.64 hit my machine, my audio and MIDI setup fell apart. ...
user avatar
  • 1
0 votes
0 answers
667 views

Does software that has been built for older versions of Ubuntu run on newer versions? [duplicate]

On the list of downloads for some software that I want to install they have the options: Ubuntu 18.04 LTS Ubuntu 16.04 LTS Ubuntu 14.04 LTS But I am using Ubuntu 20.04. If I download the version for ...
user avatar
  • 111
2 votes
1 answer
55 views

How should I go about testing a backported kernel when I am running ZFS on root?

I have been having problems with KVM crashing, and the kernel crash dumps seem to point to a NIC problem, possibly a driver issue. However, before reporting, it has been recommended that I try using ...
user avatar
0 votes
1 answer
622 views

Freeze on wifi authentication -- AX200 chipset, with 18.04, kernel 4.15, and backported iwlwifi

I have a AX200 wifi adapter from Ubit (link) that I'm trying to use on an 18.04 ubuntu install with kernel 4.15. I can't update the kernel because of needing proper CUDA support, so I've followed the ...
user avatar
  • 11
4 votes
2 answers
14k views

Intel WiFi 6 AX200 not working on Ubuntu 16.04

According to Intel, Intel® Wi-Fi 6 AX200 160MHz device is only guaranteed to work with the kernel version 5.1+. (For your information, it works on Ubuntu 18.04.4 LTS with kernel version 5.3.0-28.) ...
user avatar
  • 221
0 votes
0 answers
363 views

A way to make backport iwlwifi compatible with other drivers

I had found out that my Intel wireless adapter needs the backport on kernel 4.15 and at the same time my Alfa card needs realtek RTL8812AU. Also I cannot change kernel (skylake problem) More here Is ...
user avatar
  • 173
3 votes
0 answers
444 views

Installing a package which is only available on a different version of Ubuntu

I want to use the Python wrapper PyKDL for KDL, the Kinematics and Dynamics Library. PyKDL is only packaged beginning with 19.04. I installed PyKDL using pip3 on my 18.04 system. In an interactive ...
user avatar
  • 1,004
0 votes
1 answer
1k views

How to replace/reinstall packages from backports to normal repository

On 18.04 I have the backports enabled in /etc/apt/soures.list. My questions are: How can I find out which packages are installed from backports? The tips from https://serverfault.com/questions/...
user avatar
  • 480
4 votes
0 answers
14k views

What is the recommended way to install glibc 2.27 on Ubuntu 16.04? [duplicate]

I tried the following command, but it seems that the package was not found. $ sudo apt-get install libc-bin=2.27-3ubuntu1 Reading package lists... Done Building dependency tree Reading state ...
user avatar
6 votes
4 answers
31k views

Backport for iwlwifi

I am currently new to deeper system administration with ubuntu. My new PC has compability problems with ubuntu (to be exact: the WIFI). http://forum.gigabyte.us/thread/4007/linux-wifi-driver-aorus-...
user avatar
2 votes
1 answer
2k views

Add "Kubuntu Backports" PPA or "Kubuntu Updates" PPA? Or both?

https://launchpad.net/~kubuntu-ppa/+archive/ubuntu/backports https://launchpad.net/~kubuntu-ppa/+archive/ubuntu/ppa The first PPA is called "Kubuntu Backports" and the second PPA is called "Kubuntu ...
user avatar
  • 55
1 vote
0 answers
131 views

Using backportpackage gives circular-ish dependency

I'm trying to use backportpackage to backport htop. The build fails because it needs debhelper (>= 11). When I tried to backport debhelper it failed because it needs dpkg-dev (>= 1.19.0.5~). ...
user avatar
0 votes
2 answers
891 views

PCI complience with openssh package

I am in a situation where we are doing internal PCI scans and one server that is in the scope is a Ubuntu Server 16.04.2 LTS. The latest package for openssh-server is OpenSSH_7.2p2 showed with command ...
user avatar
0 votes
1 answer
292 views

How to properly backport dependencies when backporting a package to PPA?

I want to backport package X that depends on Y, so both packages need backporting. First, I backport Y, so it becomes something like Y-a.b~ubuntu123. When I now try to backport X it complains about ...
user avatar
2 votes
1 answer
2k views

Has apache security updates been backported?

I have Apache 2.4.7 on my Ubuntu 14.04. I regularly upgrade packages by running sudo apt-get upgrade. I would have expected that to upgrade Apache as well, but I didn’t seem to have happened. I’ve ...
user avatar
  • 23
1 vote
1 answer
981 views

Update after purging Intel 01.org driver removed gnome-software

Since I upgraded my GPU, I removed the Intel's Open Source Technology Center Driver following the procedure from this question. By doing so a bunch of software was downgraded as expected but some ...
user avatar
  • 952
0 votes
1 answer
65 views

What's the Ubuntu's policy for releasing custom kernels?

Ubuntu team releases custom kernels for its distribution. For example, my current is 4.4.0-53 while last stable is 4.8.15 and last longterm is 4.4.39 (both according to kernel.org). Searching didn't ...
user avatar
  • 791
0 votes
1 answer
92 views

systemd in Ubuntu 14.04 backport wants to delete many files upon install - why?

In Synaptic Package Manager, Ubuntu backport wants to intall systemd (admin, main, version 204-5ubuntu20.20) on Ubuntu 14.04 with kernel 3.13.0-105 generic, and wants to uninstall the following files. ...
user avatar
2 votes
1 answer
86 views

Unity 7.4 backport (Trusty)?

Is there unofficial ppa or way to build (backport) Unity 7.4 (or newer) to Trusty (I'm looking for bottom launcher feature, without breaking fglrx)?
user avatar
  • 21
1 vote
1 answer
5k views

Where can I find linux-backports-modules-wireless-cw package for ubuntu 14.04, kernel 3.19?

Here is what I've done so far which has the output to many commands for diagnosing the issue. The wifi on my Ubuntu 14.04 laptop broke after (I think) this kernel update I don't remember doing. I've ...
user avatar
  • 121
2 votes
1 answer
2k views

Unable to update on Ubuntu 16.04 on a Raspberry Pi 3 [duplicate]

Running sudo apt-get update in Ubuntu 16.04 on a Raspberry Pi 3, gives me the error: Hit:1 http://packages.ros.org/ros/ubuntu xenial InRelease Hit:2 http://ppa.launchpad.net/ubuntu-raspi2/ppa-rpi3/...
user avatar
  • 5,885
1 vote
1 answer
265 views

My Weather Indicator in Precise

Does exist a backport of the 0.8.1 my-weather-indicator for Ubuntu 12.04. The latest version for Precise 12.04 seems to be 0.6.3 and it is not showing the forecast.
user avatar
  • 1,970
1 vote
0 answers
306 views

Should I enable backports?

Why and when one should backport software packages in a Ubuntu LTS release? Is that make sense to enable backports repository in a non-LTS release? To my understanding some bug fixes never get ...
user avatar
0 votes
2 answers
187 views

KDE Desktop malfunctioning after adding kubuntu-ppa/backports and upgrading

After sudo add-apt-repository ppa:kubuntu-ppa/backports sudo apt-get update sudo apt-get upgrade and restarting the computer, I got many problems on KDE (certainly related to the upgrade, maybe ...
user avatar
  • 299
2 votes
1 answer
261 views

Backporting a package from an unreleased release?

If I attempt to backport a package using a command similar to the following: backportpackage -s xenial -d vivid ... I end up with an error: backportpackage: Error: Unknown release codename xenial ...
user avatar
  • 31.4k
1 vote
0 answers
61 views

How to defrag ext4 file system on Ubuntu 10.04? [duplicate]

I have an Ubuntu 10.04 Server with ext4 as file system. e2fsprogs is installed, but e4defrag is only packaged since Ubuntu 12.04. How do I defrag the file system or how can I install e4defrag? Maybe ...
user avatar
  • 318
1 vote
1 answer
82 views

When can we expect Plasma 5.3 to be available for Kubuntu users

Plasma 5.3 has been released in Kubuntu backport ppa, but not in the main ppa. What is generally the timelines that a backport is available in the main ppa. What are the reasons why I should not go ...
user avatar
3 votes
1 answer
4k views

Missing icons from system settings KDE 15.04

i have a missing icons from the Kubuntu System Settings panel, installed from kubuntu-ppa/backports in ubuntu 15.04 with kubuntu-desktop any ideas?
user avatar
5 votes
1 answer
13k views

how to upgrade firmware intel wifi iwlwifi ? unstable wireless Intel 7260 with lenovo t440p

How to upgrade the firmware intel WiFi from 7260-10 to 7260-12. on Intel page said: "Installation of the firmware is simply:" # cp iwlwifi-*.ucode /lib/firmware So I have #sudo ls -al /lib/...
user avatar
  • 804
0 votes
1 answer
1k views

wlan0 not found after installing ath9k from backport - ubuntu 14.04

I tried installing ath9k from backports looking here for tp-rink wn722nc. After doing everything I rebooted my computer, but now I don't have wlan0. my internel wifi card is bcm43142 802.11 b/g/n. It'...
user avatar
  • 67
1 vote
2 answers
314 views

package maintainers guide?

I am trying to learn more about packaging, package maintenance, back-porting, and creating compliant deb packages. I have been reading this: https://www.debian.org/doc/manuals/maint-guide/ but I am ...
user avatar
  • 14k
3 votes
2 answers
2k views

python 2.7.9 backport to trusty (14.04)

I try to backport Python 2.7.9 from vivid to trusty but when launchpad build this pakage there is an build error. I create my backport : backportpackage -d trusty -u ppa:splanquart/python http://...
user avatar
1 vote
1 answer
795 views

Wifi gone after installing backport of ath10k

......Hello I got a situation when I tried to install the ath10k driver for a 802.11ac supported wireless card by installing the backport releases. My system is ubuntu 14.04, and my current kernel ...
user avatar
  • 11
2 votes
4 answers
11k views

Ubuntu Intel wireless 3160 AC not working/slow/disconnecting/unstable

I had just bought a toshiba l50-b-1q0 with intel wireless 3160AC module. I have installed ubuntu 12.04 (I heard 14 natty is even worse) and tried different kernels: 3.12rc4, 3.11, 3.13.2, 3.17. But I ...
user avatar
  • 173
6 votes
2 answers
17k views

Install newer package version from trusty-backports

In an ubuntu 14.04 system with the latest updates: $ ansible --version ansible 1.5.4 $ apt-cache policy ansible ansible: Installed: 1.5.4+dfsg-1 Candidate: 1.5.4+dfsg-1 Version table: 1.7....
user avatar
  • 171
1 vote
1 answer
900 views

Realtek RTL8187B stopped working

I have Ubuntu 13.10 Server running 3.11 kernel I had RTL8187B working out of the box but after installing Atheros driver (for another adapter) my RealTek stopped working, I used BackPorts to install ...
user avatar
  • 511
0 votes
1 answer
407 views

Installing 403-ath_regd_optional.patch

I'm new to patching and I need to install this patch https://dev.openwrt.org/browser/trunk/package/kernel/mac80211/patches/rev=39442 This is supposed to patch backports-3.15.1-1 package As you can see ...
user avatar
  • 511
2 votes
1 answer
4k views

How to install sqlite SQLite 3.7.11 on Ubuntu 12.04

According to this question, to get code my code work on this 12.04 machine I need to upgrade the version of SQLite to 3.7.11. However, on Ubuntu 12.04 the installed version of sqlite is > sqlite3 -...
user avatar
  • 2,243
1 vote
0 answers
229 views

Ubuntu 12.04 wireless constantly prompts for password with Intel 7260 and backports 3.11

When I first got my laptop I had the same problem as described in No wireless for Intel Corporation 7260 version 63. I followed the instructions and everything worked perfectly for several months. A ...
user avatar
1 vote
0 answers
116 views

0ad backport on Trusty (14.04)

Is there possibility to upgrade 0ad from Trusty backports to 0.0.16 version? I can see that in backports there is 0.0.16 version http://packages.ubuntu.com/trusty-backports/games/0ad . But after ...
user avatar
  • 11
1 vote
0 answers
369 views

How to recover ASIX AX88179 from backports installation

I recently installed https://www.kernel.org/pub/linux/kernel/projects/backports/stable/v3.13.2/backports-3.13.2-1.tar.gz with make defconfig-wifi && make && sudo make install ("...
user avatar
0 votes
1 answer
77 views

Will I get notifications for updates for packages in backport?

If I install a package from the backports repository, will it get automatically updated with 'dist-upgrade' later on or should I follow it by myself and update it manually when new version is released ...
user avatar
3 votes
2 answers
654 views

How to get backports for tomcat?

I installed tomcat 7 using apt-get utility on my ubuntu server 13.04. So do I need to manually configure, after this to start receiving backports/fixes for tomcat ? If yes, then how do I confgure? ...
user avatar
4 votes
2 answers
12k views

How do I get the ath9k driver of backports-3.12-8 installed on Xubuntu 13.10?

I downloaded the 3.12-8 kernel files linux-headers-all.deb, linux-headers-generic_i368.deb; linux-image-generic_i386.deb from kernel.org and installed them via: dpkg -i *.deb Now I'm trying to ...
user avatar
  • 111
0 votes
1 answer
118 views

Do kernel backports need to be reapplied each time kernel updates to new version?

When a user backports a driver from a new kernel (as detailed here), does this backport need to be re-applied each time the kernel updates, e.g. if there was an automatic security update from kernel ...
user avatar
  • 1,619
0 votes
2 answers
69 views

Does ubuntu apt eliminate the need of backporting (as described by RedHat)?

I see Backporting mentioned below. https://access.redhat.com/site/security/updates/backporting/ I'm not sure what they mean by "module". For the example scenario mentioned in the link, it sounds ...
user avatar
3 votes
0 answers
422 views

Issue Backporting SQLite 3.8.1 to Ubuntu Precise from Trusty

I'm pretty new to all of the packaging of Ubuntu applications and what not so this may not be the correct place to ask this question or there may be a more appropriate place to re-ask this question. I'...
user avatar
  • 131
0 votes
1 answer
195 views

Backporting Qt 4.8.4: Circular dependencies of qtchooser

I'm trying to backport the latest Qt packages (4.8.4) to Precise, using Launchpad. This worked well for the qt4-x11 packages but now I also need qtchooser which does not exist in 12.04. Trying to ...
user avatar
  • 101
0 votes
1 answer
770 views

When are the Backports PPA for TexLive back online again?

In order to do what is suggested in https://askubuntu.com/a/163683 the repositories have to actually work but I get a 404 when trying to install from them When are the Backports PPA for TexLive back ...
user avatar